using System;
using System.Collections.Generic;
using System.Linq;
using System.Text;
using System.Windows.Controls;
using System.Windows;
using Telerik.Windows.Controls.GridView;

namespace RadGridView_WPF_AR_6
{
	class MyStyleSelector : StyleSelector
	{
		public static int counter = 0;

		public override System.Windows.Style SelectStyle(object item, System.Windows.DependencyObject container)
		{
			Club c = item as Club;

			if (c != null)
			{
				if (counter % 4 < 2)
				{
					counter++;
					return this.EvenStyle;
				}
				else
				{
					counter++;
					return this.OddStyle;
				}

			}

			return this.OddStyle;
		}

		public Style OddStyle { get; set; }
		public Style EvenStyle { get; set; }
	}
}
